Package org.apache.storm.logging.filters

# Class AccessLoggingFilter

java.lang.Object
org.apache.storm.logging.filters.AccessLoggingFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`

public class AccessLoggingFilter extends Object implements jakarta.servlet.Filter

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessLoggingFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  `void`
  `doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain chain)`
  `void`
  `handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, jakarta.servlet.FilterChain chain)`
  `void`
  `init(jakarta.servlet.FilterConfig config)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessLoggingFilter

    public AccessLoggingFilter()

- ## Method Details

  - ### init

    public void init(jakarta.servlet.FilterConfig config) throws jakarta.servlet.ServletException
    Specified by:
      `init` in interface `jakarta.servlet.Filter`
    Throws:
      `jakarta.servlet.ServletException`

  - ### doFilter

    public void doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain chain) throws IOException, jakarta.servlet.ServletException
    Specified by:
      `doFilter` in interface `jakarta.servlet.Filter`
    Throws:
      `IOException`
      `jakarta.servlet.ServletException`

  - ### handle

    public void handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, jakarta.servlet.FilterChain chain) throws IOException, jakarta.servlet.ServletException
    Throws:
      `IOException`
      `jakarta.servlet.ServletException`

  - ### destroy

    public void destroy()
    Specified by:
      `destroy` in interface `jakarta.servlet.Filter`